Name:		bwbasic
Summary:	A Basic interpreter
Version:	3.30
Release:	%mkrel 1
License:	GPLv2
Group:		Development/Basic
Url:		https://sourceforge.net/projects/bwbasic
Source0:	https://sourceforge.net/projects/bwbasic/files/bwbasic/version%203.30/%{name}-%{version}.zip
Source1:	%{name}.desktop
Source2:	%{name}.png
Source3:	bwbtest.zip

BuildRequires:	desktop-file-utils
BuildRequires:	unzip
BuildRequires:	grep
BuildRequires:	gcc
BuildRequires:	autoconf

%description
The Bywater BASIC Interpreter (bwBASIC) implements a large 
superset of the ANSI Standard for Minimal BASIC (X3.60-1978) 
and a significant subset of the ANSI Standard for 
Full BASIC (X3.113-1987) in C.

%prep
%autosetup -c -n %{name}-%{version}

unzip %{SOURCE3}
chmod ug+x ./configure

%build
sed -ie "s/HAVE_UNIX/HAVE_UNIX -fPIE/" Makefile.in
autoconf
INSTALLSH=`ls -1 /usr/share/|grep automake|sort|head -1`
cp -a /usr/share/$INSTALLSH/install-sh .
%configure
%make_build

%install
install -D -m 755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m 755 renum %{buildroot}%{_bindir}/renum
install -d %{buildroot}%{_prefix}/lib/%{name}
install -m 644 bwbtest/* %{buildroot}%{_prefix}/lib/%{name}/
install -D -m 644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/%{name}.png
install -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc README* %{name}.doc DOCS/*
%license COPYING
%{_bindir}/%{name}
%{_bindir}/renum
%{_prefix}/lib/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png



%changelog
* Fri Nov 29 2024 daviddavid <daviddavid> 3.30-1.mga10
+ Revision: 2119713
- new version: 3.30

* Sun Jul 21 2024 papoteur <papoteur> 3.20-4.mga10
+ Revision: 2082229
- fix build with GCC14

* Sat Apr 02 2022 umeabot <umeabot> 3.20-3.mga9
+ Revision: 1840679
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 3.20-2.mga8
+ Revision: 1522602
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Jan 29 2019 alexl <alexl> 3.20-1.mga7
+ Revision: 1361795
- version 3.20
- install renum, DOCS and examples

* Sat Sep 22 2018 umeabot <umeabot> 2.50-10.mga7
+ Revision: 1295749
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 2.50-9.mga6
+ Revision: 950824
- Mageia 6 Mass Rebuild

* Sun Nov 23 2014 alexl <alexl> 2.50-8.mga5
+ Revision: 798486
- add localized menu entries from Debian menu

* Wed Oct 15 2014 umeabot <umeabot> 2.50-7.mga5
+ Revision: 750646
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.50-6.mga5
+ Revision: 678254
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.50-5.mga4
+ Revision: 503179
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.50-4.mga3
+ Revision: 347239
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 malo <malo> 2.50-3.mga3
+ Revision: 302685
- update RPM group

* Tue Oct 25 2011 matteo <matteo> 2.50-2.mga2
+ Revision: 157891
- spec file reviewed; removed deprecated Encoding field from desktop file; added Categories field to desktop file; increased Release for the new build

* Sun Sep 11 2011 matteo <matteo> 2.50-1.mga2
+ Revision: 142498
- added grep as BR; fixed ls param
- imported package bwbasic

